<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/countries_list.js");
    loadCSS('css/flags/flags.min.css');
</script>
<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <strong class="h4" th:text="#{settingsCountries}">Configuración - Países</strong>
                <br>
                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>                                
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        &nbsp;
                        <span th:text="#{state}">Estado:</span>
                        <select name="status" id="status">
                            <option th:selected="${status == null  || status == '1'}" value="1"  th:text="#{enabled}">Habilitados</option>
                            <option th:selected="${status != null  && status == '0'}" value="0" th:text="#{disabled}">No Habilitados</option>
                            <option th:selected="${status != null  && status == 'all'}" value="all" value="all" th:text="#{all}">Todos</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                        <button class="btn btn-sm btn-success" onclick="window.location.replace('/admin#admin/settings/countries/create?action=create');window.location.reload();">
                            <i class="fa fa-plus"></i><span th:text="#{create}">Crear</span>
                        </button>

                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
            <div class="table-responsive-tall">
                <table class="table table-condensed table-striped jambo_table">
                    <thead>
                        <tr class="headings">                            
                            <th th:text="#{code}"></th>
                            <th th:text="#{country}"></th>
                            <th th:text="#{status}"></th>
                            <th th:text="#{actions}"></th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="item : ${page.content}">
                            <td th:text="${item.code}"></td>
                            <td th:text="#{${item.code}}"></td>
                            <td> 
                                <span th:if="${item.enabled}" class="label label-primary" th:text="#{enabled}">Habilitado</span>
                                <span th:if="${!item.enabled}" class="label label-danger" th:text="#{disabled}">No habilitado</span>
                            </td>
                            <td>
                                <ul class="nav navbar-right panel_toolbox_table">
                                    <li class="dropdown">
                                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-gears opener"></i></a>
                                        <ul class="dropdown-menu" role="menu">
                                            <li class="disabled">
                                                <a href="#" class="text-muted">
                                                    <h5 th:text="${item.nameEs}"></h5>
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="view-country" th:attr="data-code=${item.code}">
                                                    <i class="fa fa-binoculars"></i>&nbsp;
                                                    <span th:text="#{showCountry}">Ver país</span>
                                                </a>
                                            </li>
                                            <li>                                                        
                                                <a class="action-button" id="edit-country" th:attr="data-code=${item.code}">
                                                    <i class="fa fa-pencil"></i>&nbsp;
                                                    <span th:text="#{btnEdit}">Editar</span>
                                                </a>
                                            </li>
                                            <li>
                                                <a class="action-button" id="enable-country" th:attr="data-code=${item.code}">
                                                    <i class="fa fa-exchange"></i>&nbsp;
                                                    <span th:text="${!item.enabled}" th:text="#{enable}"></span>
                                                    <span th:text="${item.enabled}" th:text="#{disable}"></span>
                                                </a>
                                            </li>
                                        </ul>
                                    </li>
                                </ul>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div th:replace="frags/pagination :: paginationbar"></div>
</div>

